//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by FernFlower decompiler)
//

package com.gtiit.shr.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;

/**
 * 岗位信息
 */
@TableName("CT_SHR_POSITION")
public class PositionVo implements Serializable {
    @TableId(
            type = IdType.ASSIGN_ID
    )
    private String id;
    @TableField("POSITION_CODE")
    private String positionCode;
    @TableField("POSITION_NAME_EN")
    private String positionNameEn;
    @TableField("POSITION_NAME_CN")
    private String positionNameCn;
    @TableField("EFFECTIVE_START_DATE")
    private String effectiveStartDate;
    @TableField("EFFECTIVE_END_DATE")
    private String effectiveEndDate;
    @TableField("ORGANIZATION_CODE")
    private String organizationCode;
    @TableField("JOB_CODE")
    private String jobCode;
    @TableField("JOB_NAME_EN")
    private String jobNameEn;
    @TableField("ACTIVE_STATUS")
    private String activeStatus;
    @TableField("DEPARTMENT_HEAD")
    private String departmentHead;
    @TableField("ERP_CREATION_DATE")
    private String erpCreationDate;
    @TableField("ERP_LAST_UPDATE_DATE")
    private String erpLastUpdateDate;
//    @TableField("SHR_ID")
//    private String shrId;



    public String getId() {
        return this.id;
    }

    public String getPositionCode() {
        return this.positionCode;
    }

    public String getPositionNameEn() {
        return this.positionNameEn;
    }

    public String getPositionNameCn() {
        return this.positionNameCn;
    }

    public String getEffectiveStartDate() {
        return this.effectiveStartDate;
    }

    public String getEffectiveEndDate() {
        return this.effectiveEndDate;
    }

    public String getOrganizationCode() {
        return this.organizationCode;
    }

    public String getJobCode() {
        return this.jobCode;
    }

    public String getJobNameEn() {
        return this.jobNameEn;
    }

    public String getActiveStatus() {
        return this.activeStatus;
    }

    public String getDepartmentHead() {
        return this.departmentHead;
    }

    public String getErpCreationDate() {
        return this.erpCreationDate;
    }

    public String getErpLastUpdateDate() {
        return this.erpLastUpdateDate;
    }

//    public String getShrId() {
//        return this.shrId;
//    }

    public void setId(final String id) {
        this.id = id;
    }

    public void setPositionCode(final String positionCode) {
        this.positionCode = positionCode;
    }

    public void setPositionNameEn(final String positionNameEn) {
        this.positionNameEn = positionNameEn;
    }

    public void setPositionNameCn(final String positionNameCn) {
        this.positionNameCn = positionNameCn;
    }

    public void setEffectiveStartDate(final String effectiveStartDate) {
        this.effectiveStartDate = effectiveStartDate;
    }

    public void setEffectiveEndDate(final String effectiveEndDate) {
        this.effectiveEndDate = effectiveEndDate;
    }

    public void setOrganizationCode(final String organizationCode) {
        this.organizationCode = organizationCode;
    }

    public void setJobCode(final String jobCode) {
        this.jobCode = jobCode;
    }

    public void setJobNameEn(final String jobNameEn) {
        this.jobNameEn = jobNameEn;
    }

    public void setActiveStatus(final String activeStatus) {
        this.activeStatus = activeStatus;
    }

    public void setDepartmentHead(final String departmentHead) {
        this.departmentHead = departmentHead;
    }

    public void setErpCreationDate(final String erpCreationDate) {
        this.erpCreationDate = erpCreationDate;
    }

    public void setErpLastUpdateDate(final String erpLastUpdateDate) {
        this.erpLastUpdateDate = erpLastUpdateDate;
    }
//
//    public void setShrId(final String shrId) {
//        this.shrId = shrId;
//    }

    public boolean equals(final Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof PositionVo)) {
            return false;
        } else {
            PositionVo other = (PositionVo)o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                Object this$id = this.getId();
                Object other$id = other.getId();
                if (this$id == null) {
                    if (other$id != null) {
                        return false;
                    }
                } else if (!this$id.equals(other$id)) {
                    return false;
                }

                Object this$positionCode = this.getPositionCode();
                Object other$positionCode = other.getPositionCode();
                if (this$positionCode == null) {
                    if (other$positionCode != null) {
                        return false;
                    }
                } else if (!this$positionCode.equals(other$positionCode)) {
                    return false;
                }

                Object this$positionNameEn = this.getPositionNameEn();
                Object other$positionNameEn = other.getPositionNameEn();
                if (this$positionNameEn == null) {
                    if (other$positionNameEn != null) {
                        return false;
                    }
                } else if (!this$positionNameEn.equals(other$positionNameEn)) {
                    return false;
                }

                label158: {
                    Object this$positionNameCn = this.getPositionNameCn();
                    Object other$positionNameCn = other.getPositionNameCn();
                    if (this$positionNameCn == null) {
                        if (other$positionNameCn == null) {
                            break label158;
                        }
                    } else if (this$positionNameCn.equals(other$positionNameCn)) {
                        break label158;
                    }

                    return false;
                }

                label151: {
                    Object this$effectiveStartDate = this.getEffectiveStartDate();
                    Object other$effectiveStartDate = other.getEffectiveStartDate();
                    if (this$effectiveStartDate == null) {
                        if (other$effectiveStartDate == null) {
                            break label151;
                        }
                    } else if (this$effectiveStartDate.equals(other$effectiveStartDate)) {
                        break label151;
                    }

                    return false;
                }

                Object this$effectiveEndDate = this.getEffectiveEndDate();
                Object other$effectiveEndDate = other.getEffectiveEndDate();
                if (this$effectiveEndDate == null) {
                    if (other$effectiveEndDate != null) {
                        return false;
                    }
                } else if (!this$effectiveEndDate.equals(other$effectiveEndDate)) {
                    return false;
                }

                label137: {
                    Object this$organizationCode = this.getOrganizationCode();
                    Object other$organizationCode = other.getOrganizationCode();
                    if (this$organizationCode == null) {
                        if (other$organizationCode == null) {
                            break label137;
                        }
                    } else if (this$organizationCode.equals(other$organizationCode)) {
                        break label137;
                    }

                    return false;
                }

                label130: {
                    Object this$jobCode = this.getJobCode();
                    Object other$jobCode = other.getJobCode();
                    if (this$jobCode == null) {
                        if (other$jobCode == null) {
                            break label130;
                        }
                    } else if (this$jobCode.equals(other$jobCode)) {
                        break label130;
                    }

                    return false;
                }

                Object this$jobNameEn = this.getJobNameEn();
                Object other$jobNameEn = other.getJobNameEn();
                if (this$jobNameEn == null) {
                    if (other$jobNameEn != null) {
                        return false;
                    }
                } else if (!this$jobNameEn.equals(other$jobNameEn)) {
                    return false;
                }

                Object this$activeStatus = this.getActiveStatus();
                Object other$activeStatus = other.getActiveStatus();
                if (this$activeStatus == null) {
                    if (other$activeStatus != null) {
                        return false;
                    }
                } else if (!this$activeStatus.equals(other$activeStatus)) {
                    return false;
                }

                label109: {
                    Object this$departmentHead = this.getDepartmentHead();
                    Object other$departmentHead = other.getDepartmentHead();
                    if (this$departmentHead == null) {
                        if (other$departmentHead == null) {
                            break label109;
                        }
                    } else if (this$departmentHead.equals(other$departmentHead)) {
                        break label109;
                    }

                    return false;
                }

                label102: {
                    Object this$erpCreationDate = this.getErpCreationDate();
                    Object other$erpCreationDate = other.getErpCreationDate();
                    if (this$erpCreationDate == null) {
                        if (other$erpCreationDate == null) {
                            break label102;
                        }
                    } else if (this$erpCreationDate.equals(other$erpCreationDate)) {
                        break label102;
                    }

                    return false;
                }

                Object this$erpLastUpdateDate = this.getErpLastUpdateDate();
                Object other$erpLastUpdateDate = other.getErpLastUpdateDate();
                if (this$erpLastUpdateDate == null) {
                    if (other$erpLastUpdateDate != null) {
                        return false;
                    }
                } else if (!this$erpLastUpdateDate.equals(other$erpLastUpdateDate)) {
                    return false;
                }

                Object this$shrId = this.getId();
                Object other$shrId = other.getId();
                if (this$shrId == null) {
                    if (other$shrId != null) {
                        return false;
                    }
                } else if (!this$shrId.equals(other$shrId)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(final Object other) {
        return other instanceof PositionVo;
    }

    public int hashCode() {
        boolean  PRIME = true;
        int result = 1;
        Object $id = this.getId();
        result = result * 59 + ($id == null ? 43 : $id.hashCode());
        Object $positionCode = this.getPositionCode();
        result = result * 59 + ($positionCode == null ? 43 : $positionCode.hashCode());
        Object $positionNameEn = this.getPositionNameEn();
        result = result * 59 + ($positionNameEn == null ? 43 : $positionNameEn.hashCode());
        Object $positionNameCn = this.getPositionNameCn();
        result = result * 59 + ($positionNameCn == null ? 43 : $positionNameCn.hashCode());
        Object $effectiveStartDate = this.getEffectiveStartDate();
        result = result * 59 + ($effectiveStartDate == null ? 43 : $effectiveStartDate.hashCode());
        Object $effectiveEndDate = this.getEffectiveEndDate();
        result = result * 59 + ($effectiveEndDate == null ? 43 : $effectiveEndDate.hashCode());
        Object $organizationCode = this.getOrganizationCode();
        result = result * 59 + ($organizationCode == null ? 43 : $organizationCode.hashCode());
        Object $jobCode = this.getJobCode();
        result = result * 59 + ($jobCode == null ? 43 : $jobCode.hashCode());
        Object $jobNameEn = this.getJobNameEn();
        result = result * 59 + ($jobNameEn == null ? 43 : $jobNameEn.hashCode());
        Object $activeStatus = this.getActiveStatus();
        result = result * 59 + ($activeStatus == null ? 43 : $activeStatus.hashCode());
        Object $departmentHead = this.getDepartmentHead();
        result = result * 59 + ($departmentHead == null ? 43 : $departmentHead.hashCode());
        Object $erpCreationDate = this.getErpCreationDate();
        result = result * 59 + ($erpCreationDate == null ? 43 : $erpCreationDate.hashCode());
        Object $erpLastUpdateDate = this.getErpLastUpdateDate();
        result = result * 59 + ($erpLastUpdateDate == null ? 43 : $erpLastUpdateDate.hashCode());
        Object $shrId = this.getId();
        result = result * 59 + ($shrId == null ? 43 : $shrId.hashCode());
        return result;
    }

    public String toString() {
        return "PositionVo(id=" + this.getId() + ", positionCode=" + this.getPositionCode() + ", positionNameEn=" + this.getPositionNameEn() + ", positionNameCn=" + this.getPositionNameCn() + ", effectiveStartDate=" + this.getEffectiveStartDate() + ", effectiveEndDate=" + this.getEffectiveEndDate() + ", organizationCode=" + this.getOrganizationCode() + ", jobCode=" + this.getJobCode() + ", jobNameEn=" + this.getJobNameEn() + ", activeStatus=" + this.getActiveStatus() + ", departmentHead=" + this.getDepartmentHead() + ", erpCreationDate=" + this.getErpCreationDate() + ", erpLastUpdateDate=" + this.getErpLastUpdateDate() + " )";
    }
}
